class Car(object):
    """
    Represents a specific make/model vehicle
    to be analyzed across several factors.
    """

    def __init__(self, make, model, mpg):
        """
        args:
            make    <str>   : company name of vehicle
            model   <str>   : which vehicle name
            mpg     <float> : fuel efficiency in miles per gallon
        """
        self.make = make
        self.model = model
        self.mpg = mpg
    
    def set_mpg(self, nmpg):
        """
        miles per gallon setter
        args:
            nmpg    <float> : new miles per gallon efficiency
        """
        self.mpg = nmpg
    
    def get_mpg(self):
        """
        miles per gallon getter
        """
        return self.mpg

    def __str__(self):
        return f"This is a {self.make} {self.model} with " + \
                f"{self.mpg} miles to the gallon."